cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aprat...@apache.org
Subject [3/3] git commit: updated refs/heads/master-6-17-stable to b8b786d
Date Fri, 21 Jun 2013 08:54:20 GMT
Cloudstack-2938 [Multiple_IP_Ranges] Password Service does not work in case of multiple subnets
in a vlan

Signed-off-by: Abhinandan Prateek <aprateek@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/b8b786d6
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/b8b786d6
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/b8b786d6

Branch: refs/heads/master-6-17-stable
Commit: b8b786d6687ed21f43bcb9c48cb2edcec416d7d9
Parents: d512368
Author: Bharat Kumar <bharat.kumar@citrix.com>
Authored: Wed Jun 19 11:58:08 2013 +0530
Committer: Abhinandan Prateek <aprateek@apache.org>
Committed: Fri Jun 21 14:23:55 2013 +0530

----------------------------------------------------------------------
 patches/systemvm/debian/config/root/createIpAlias.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/b8b786d6/patches/systemvm/debian/config/root/createIpAlias.sh
----------------------------------------------------------------------
diff --git a/patches/systemvm/debian/config/root/createIpAlias.sh b/patches/systemvm/debian/config/root/createIpAlias.sh
index 2c79813..1db210b 100755
--- a/patches/systemvm/debian/config/root/createIpAlias.sh
+++ b/patches/systemvm/debian/config/root/createIpAlias.sh
@@ -32,4 +32,7 @@ do
  netmask=$(echo $var1 | cut -f3 -d ":")
  ifconfig eth0:$alias_count $routerip netmask $netmask up
  var=$( echo $var | sed "s/${var1}-//" )
-done
\ No newline at end of file
+done
+#restaring the password service to enable it on the ip aliases
+/etc/init.d/cloud-passwd-srvr restart
+exit $?
\ No newline at end of file


Mime
View raw message